Changes the value of individual pixels based on a threshold

- « Imagick::textureImage

- Imagick::thumbnailImage »

- PHP Manual
- Imagick
- Changes the value of individual pixels based on a threshold

# Imagick::thresholdImage

(PECL imagick 2, PECL imagick 3)

Imagick::thresholdImage — Changes the value of individual pixels based on a threshold

### Description

public Imagick::thresholdImage(float `$threshold`, int `$channel` = Imagick::CHANNEL_DEFAULT): bool

Changes the value of individual pixels based on the intensity of each pixel compared to threshold. The result is a high-contrast, two color image.

### Parameters

`threshold`

`channel`

### Return Values

Returns `true` on success.

### Examples

Example #1 Imagick::thresholdImage()

    <?phpfunction thresholdimage($imagePath, $threshold, $channel) {    $imagick = new \Imagick(realpath($imagePath));    $imagick->thresholdimage($threshold * \Imagick::getQuantum(), $channel);    header("Content-Type: image/jpg");    echo $imagick->getImageBlob();}?>